[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [smila-user] Unresolved constraints issue

Hi,

I tried what you suggested but the problem remains, these are the dependencies thatshould cause the issue.
cubrikproject.servlet.eng.LogoDetectionServlet -> org.eclipse.smila.search.servlet -> org.eclipse.smila.solr

diag cubrikproject.servlet.eng.LogoDetectionServlet

initial@reference:file:../../../cubrikproject.servlet.eng.LogoDetectionServlet/ [42]
  Direct constraints which are unresolved:
    Missing imported package org.eclipse.smila.search.servlet_1.0.0.
    Missing imported package org.eclipse.smila.solr_1.0.0.
  Leaf constraints in the dependency chain which are unresolved:
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.commons.csv_[1.0.0,2.0.0).
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.geometry.shape_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.geometry_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.geohash_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing imported package org.apache.lucene.search.grouping_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.tier.projections_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.tier_3.5.0.

osgi> diag org.eclipse.smila.search.servlet

initial@reference:file:../../../org.eclipse.smila.search.servlet/ [10]
  Direct constraints which are unresolved:
    Missing imported package org.eclipse.smila.solr_1.0.0.
  Leaf constraints in the dependency chain which are unresolved:
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.commons.csv_[1.0.0,2.0.0).
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.geometry.shape_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.geometry_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.geohash_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing imported package org.apache.lucene.search.grouping_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.tier.projections_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.tier_3.5.0.

osgi> diag org.eclipse.smila.solr
initial@reference:file:../../../org.eclipse.smila.solr/ [158]
  Direct constraints which are unresolved:
    Missing imported package org.apache.solr.client.solrj.embedded_3.5.0.
    Missing imported package org.apache.solr.core_3.5.0.
    Missing imported package org.apache.solr.handler_3.5.0.
    Missing imported package org.apache.solr.handler.admin_3.5.0.
    Missing imported package org.apache.solr.request_3.5.0.
    Missing imported package org.apache.solr.response_3.5.0.
    Missing imported package org.apache.solr.schema_3.5.0.
  Leaf constraints in the dependency chain which are unresolved:
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.commons.csv_[1.0.0,2.0.0).
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.geometry.shape_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.geometry_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.geohash_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing imported package org.apache.lucene.search.grouping_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.tier.projections_3.5.0.
    initial@reference:file:org.apache.solr.core_3.5.0.201203281222.jar/ [150]
      Missing optionally imported package org.apache.lucene.spatial.tier_3.5.0.

2012/5/14 Jürgen Schumacher <juergen.schumacher@xxxxxxxxxxxxx>
Am 14.05.2012 16:02, schrieb Nick:
> Hi,
>
> when I reload the target platform I obtain this message:
>
> Problems occurred getting the plug-ins in this container
>   Required plug-in could not be found: org.apache.solr.servlet.source
>   Required plug-in could not be found:
> org.apache.solr.client.solrj.embedded.source
>   Required plug-in could not be found:
> org.apache.solr.client.solrj.embedded
>   Required plug-in could not be found: org.apache.lucene.queries.source
>   Required plug-in could not be found: org.apache.lucene.memory.source
>   Required plug-in could not be found: org.apache.lucene.snowball
>   Required plug-in could not be found: org.apache.solr.servlet
>   Required plug-in could not be found: org.apache.solr.common
>   Required plug-in could not be found: org.apache.solr.common.source
>   Required plug-in could not be found: org.apache.lucene.snowball.source
>   Required plug-in could not be found: org.apache.lucene.misc.source
>   Required plug-in could not be found:
> org.apache.lucene.spellchecker.source
>   Required plug-in could not be found:
> org.apache.lucene.highlighter.source
Open the Target Platform dialog again, select the active platform and
"Edit..." it, then go to the "Content" tab. You can now deselect the
missing bundles, they shoud be at the top of the list.

Regards,
Juergen.
_______________________________________________
smila-user mailing list
smila-user@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/smila-user